Debian Bug report logs - #511762
hpijs-ppds: Several ppds not working with newer cups

version graph

Package: hpijs-ppds; Maintainer for hpijs-ppds is Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>; Source for hpijs-ppds is src:hplip.

Reported by: Thomas Viehweger <patchesthomas.vie@web.de>

Date: Wed, 14 Jan 2009 09:03:02 UTC

Severity: important

Found in version hplip/2.8.6.b-3

Forwarded to https://bugs.launchpad.net/debian/+source/hplip/+bug/344137

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>:
Bug#511762; Package hpijs-ppds. (Wed, 14 Jan 2009 09:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehweger <patchesthomas.vie@web.de>:
New Bug report received and forwarded. Copy sent to Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>. (Wed, 14 Jan 2009 09:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Viehweger <patchesthomas.vie@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hpijs-ppds: Several ppds not working with newer cups
Date: Wed, 14 Jan 2009 10:02:06 +0100
Package: hpijs-ppds
Version: 2.8.6.b-3
Severity: important

Due to the more strict interpreter in cups 1.3.8 I get the following error 
with /usr/share/ppd/hpijs/HP/HP_Color_LaserJet_2605-ps.ppd:

PPD file for Farblaser cannot be loaded!
Missing value string on line 122.
Hint: Run "cupstestppd /etc/cups/ppd/Farblaser.ppd" and fix any errors.

this is valid for 2.8.6.b-3 in Lenny and also for 2.8.12-1 in experimental.
(My printer URI in cups is: usb://HP/Color%20LaserJet%<sernum>.)

The ppds for this printer (HP_Color_LaserJet_2605.ppd) in
foomatic-db 20080211-2+nmu1 and
openprinting-ppds 20080211-2+nmu1
are correct. See also 
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=493104> or
<http://bugs.linux-foundation.org/show_bug.cgi?id=164>

Maybe it is possible to run the cupstestppd and remove/fix failing ppds during 
the build process of the deb?

By the way, the actual file in experimental contains many duplicate files 
compressed, uncompressed, small/uppercase letters.


-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.27.10
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: 
LC_ALL set to de_DE.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages hpijs-ppds depends on:
ii  foomatic-filters      3.0.2-20080211-3.2 OpenPrinting printer support -
ii  hpijs                 2.8.6.b-3          HP Linux Printing and Imaging -

hpijs-ppds recommends no packages.

Versions of packages hpijs-ppds suggests:
ii  hplip                         2.8.6.b-3  HP Linux Printing and Imaging

-- no debconf information




Noted your statement that Bug has been forwarded to https://bugs.launchpad.net/debian/+source/hplip/+bug/344137. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Tue, 17 Mar 2009 09:51:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:27:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.